Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.report.xls
Class RadarInfo

    java.lang.Object
      jet.report.xls.ChartTypeInfo
          jet.report.xls.RadarInfo

    public class RadarInfo

extends ChartTypeInfo

Contains the information of radar chart type in the file. The class extends chartTypeInfo.

Field Summary
`static short` | `HASLABEL` Shows the label.
`static short` | `NORMAL` Does not show label.

Fields inherited from class jet.report.xls.ChartTypeInfo
`AREA, BAR, BAR_AREA, BAR_LINE, BOPPOP, COLUMN, CONE, CYLINDER, DROPBAR, LINE, LINE_LINE, PIE, PYRAMID, RADAR, SCATTER, SHOWBUBBLESIZE, SHOWLABEL, SHOWLABPER, SHOWNONE, SHOWPERCENT, SHOWVALUE, STOCK, SURFACE`

Constructor Summary
`RadarInfo(short dataLabel, short style, boolean isFilled)` Constructs class RadarInfo and sets its fields appropriately.

Method Summary
`int` | `getChartType()` Gets the type of the chart.
`short` | `getStyle()` Gets the style of the radar chart.
`boolean` | `hasShadow()` Gets whether this radar has a shadow or not.
`boolean` | `isFilled()` Whether the radar is filled by color or not.
`void` | `setFilled(boolean isFilled)` Sets whether the radar is filled by color.
`void` | `setHasShadow(boolean b)` Sets whether this radar has a shadow or not.
`void` | `setStyle(short style)` Sets the style of the radar chart.

Methods inherited from class jet.report.xls.ChartTypeInfo
`addSeries, getCatName, getCatNameRef, getDataLabel, getInfo3D, getIs3D, getSeries, getSeriesSize, insertSeries, removeSeries, replace, setCatName, setCatNameRef, setCatNameRef, setDataLabel, setInfo3D, setIs3D, setIsPercentDataLabel, setIsShowY2, setIsShowYAxis`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NORMAL

    public static final short NORMAL

  Does not show label.

  See Also:
    Constant Field Values

### HASLABEL

    public static final short HASLABEL

  Shows the label.

  See Also:
    Constant Field Values

Constructor Detail

### RadarInfo

    public RadarInfo(short dataLabel,
                     short style,
                     boolean isFilled)

  Constructs class RadarInfo and sets its fields appropriately.

  Parameters:
    `dataLabel` - type of the data label, 0 for none, 1 for show value, and 16 for show label
    `style` - style of radar chart, can be NORMAL or HASLABEL
    `isFilled` - the radar is filled by color

Method Detail

### getChartType

    public int getChartType()

  Gets the type of the chart.

  Specified by:
    `getChartType` in class `ChartTypeInfo`
  Returns:
    type of the chart

### getStyle

    public short getStyle()

  Gets the style of the radar chart.

  Specified by:
    `getStyle` in class `ChartTypeInfo`
  Returns:
    style of the radar chart

### setStyle

    public void setStyle(short style)

  Sets the style of the radar chart.

  Parameters:
    `style` - style of the radar chart

### isFilled

    public boolean isFilled()

  Whether the radar is filled by color or not.

  Returns:
    whether the radar is filled by color

### setFilled

    public void setFilled(boolean isFilled)

  Sets whether the radar is filled by color.

  Parameters:
    `isFilled` - whether the radar is filled by color

### hasShadow

    public boolean hasShadow()

  Gets whether this radar has a shadow or not.

  Specified by:
    `hasShadow` in class `ChartTypeInfo`
  Returns:
    whether this radar has a shadow or not

### setHasShadow

    public void setHasShadow(boolean b)

  Sets whether this radar has a shadow or not. If the radar is filled by color, the shadow can be set.

  Parameters:
    `b` - - whether this radar has a shadow or not

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD